#
# spec file for package spamassassin (Version 3.2.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libreadline5 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-Digest-HMAC perl-Digest-SHA1 perl-HTML-Parser perl-HTML-Tagset perl-Net-DNS perl-Net-IP perl-base permissions popt post-build-checks psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           spamassassin
BuildRequires:  perl-Digest-SHA1 perl-HTML-Parser perl-Net-DNS
License:        The Apache Software License
Group:          Productivity/Networking/Email/Utilities
Url:            http://spamassassin.org/
Version:        3.2.5
Release:        25.1
Requires:       perl-libwww-perl perl-IO-Zlib
Requires:       perl-spamassassin = %version
AutoReqProv:    on
PreReq:         %insserv_prereq %fillup_prereq
Summary:        SpamAssassin is an extensible email filter which is used to identify spam
Source:         Mail-SpamAssassin-%{version}.tar.bz2
Source1:        local.cf
Source2:        init.spamd
Source3:        sysconfig.spamd
Patch0:         patch-utf8
Patch1:         patch-PgSQL
Patch2:         patch-URIDNSBL
Patch3:         patch-SQL_ASCII_SORT
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
spamassassin adds a header line that shows if the mail has been
determined spam or not. This way, you can decide what to do with the
mail within the scope of your own filtering rules in your MUA (Mail
User Agent, your mail program) or your LDA (Local Delivery Agent).

See the files in the documentation directory
/usr/share/doc/packages/spamassassin/ for more information on how to
use the filter.



Authors:
--------
    Justin Mason <me@jmason.org>

%debug_package
%package -n perl-spamassassin
License:        The Apache Software License
Group:          Development/Libraries/Perl
Requires:       perl-HTML-Parser perl-Net-DNS perl-IO-Socket-SSL perl-Archive-Tar
Requires:       perl = %{perl_version}
AutoReqProv:    on
Summary:        Perl Modules For Using Spamassassin Within An Own Perl Script

%description -n perl-spamassassin
This package contains the perl modules for the spamassassin, including
the filter rules. This package is required for the package
"spamassassin", the commandline tool.



%prep
%setup  -n Mail-SpamAssassin-%version
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
if [ -e t/data/whitelists/winxpnews.com ]; then
    echo "t/data/whitelists/winxpnews.com is not allowed to be distributed."
    echo "see #102221"
    exit -1
fi;
if [ -e build/cf_to_html ]; then
    echo "build/cf_to_html is not allowed to be distributed."
    echo "see #102221"
    exit -1
fi;
perl Makefile.PL DESTDIR=$RPM_BUILD_ROOT \
		 CONTACT_ADDRESS="postmaster" \
		 INSTALLDIRS=vendor < /dev/null
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/mail/spamassassin
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
mkdir -p $RPM_BUILD_ROOT/var/adm/perl-modules
mkdir -p $RPM_BUILD_ROOT/usr/share/spamassassin
#
make install
%perl_process_packlist
#
mv $RPM_BUILD_ROOT/usr/bin/spamd $RPM_BUILD_ROOT/usr/sbin
install -m 0644 $RPM_SOURCE_DIR/local.cf $RPM_BUILD_ROOT/etc/mail/spamassassin/local.cf
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/etc/init.d/spamd
ln -s ../../etc/init.d/spamd $RPM_BUILD_ROOT/usr/sbin/rcspamd
echo "Most of the documentation is at ../perl-spamassassin/." > README.SuSE
install -m 0640 %SOURCE3 $RPM_BUILD_ROOT/var/adm/fillup-templates/
test -f $RPM_BUILD_ROOT/usr/share/spamassassin/user_prefs.template || {
	echo "MakeMaker is broken again..."
	exit 1
}

%files -n perl-spamassassin
%defattr(-,root,root)
%doc CREDITS Changes INSTALL LICENSE MANIFEST* NOTICE PACKAGING README
%doc TRADEMARK UPGRADE USAGE sample-nonspam.txt sample-spam.txt
%doc ldap sql
%doc %{_mandir}/man3/*
%dir /etc/mail
%config(noreplace) /etc/mail/spamassassin
%dir %{perl_vendorarch}/auto/Mail
%{perl_vendorarch}/auto/Mail/SpamAssassin
%dir %{perl_vendorlib}/Mail
%{perl_vendorlib}/Mail/SpamAssassin.pm
%{perl_vendorlib}/Mail/SpamAssassin
%{perl_vendorlib}/spamassassin-run.pod
/usr/share/spamassassin
/var/adm/perl-modules/spamassassin

%files
%defattr(-,root,root)
%doc spamd/README* spamd/PROTOCOL
%doc %{_mandir}/man1/*
%attr(755,root,root) /usr/bin/*
%attr(755,root,root) /usr/sbin/*
%config %attr(740,root,root) /etc/init.d/spamd
/var/adm/fillup-templates/sysconfig.spamd

%post
%{fillup_and_insserv -n spamd}

%preun
%stop_on_removal spamd

%postun
%restart_on_update spamd
%insserv_cleanup
#remove old type attribute
grep -q 'SPAMD_ARGS.*-a' etc/sysconfig/spamd && {
  sed 's/-a//' etc/sysconfig/spamd > etc/sysconfig/spamd.tmp
  if [ -s etc/sysconfig/spamd.tmp ]
  then
    mv etc/sysconfig/spamd.tmp etc/sysconfig/spamd
  else
    test -e etc/sysconfig/spamd.tmp && rm etc/sysconfig/spamd.tmp
  fi
}
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 10 2008 varkoly@suse.de
- (bnc#420649) - rcspamd restart is broken
* Tue Jul 01 2008 varkoly@suse.de
- update to 3.2.5
  * bug 5775: newer gpg versions require keys to be cross-certified (backsig).
  * bug 5899: add perl version string to the storage area for compiled rulesets,
  to avoid crashes when perl is upgraded between major versions (e.g perl 5.8.x to 5.10.0) and the ABI breaks
  * bug 5496, bug 5910: clear some FORGED_MUA_OUTLOOK false positives, particularly
  on the new-format Message-ID generated by the Outlook Express version used in Windows XP service pack 3
  * bug 5730: when using Postgres >= 8.1.0 with Bayes, this error occurs:
  'WARNING:  nonstandard use of \ in a string literal at character'.
  * bug 5769: fix 'sa-compile: eval failed: Can't find label NO' error, caused
  in rare circumstances when sa-compile attempted to deal with rules written using 'replace_rules' features
  * bug 5858: fix circular reference memory leak caused by some messages
  * bug 5815: update 2TLD list to include .rs CCTLD
  * bug 4706: remove HG_HORMOME rules due to poor performance
  * bug 5835: typo in POD docs for SPF plugin; thanks to Benny Pedersen for fix
  * bug 5839: a missing or failed eval rule function could mistakenly count as a rule hit, fixed
  * trivial bugfix for the VBounce ruleset: __BOUNCE_FROM_DAEMON incorrectly used + instead of *,
  so some From addresses were not being recognised as bounce senders
* Tue Jan 08 2008 varkoly@suse.de
- update to 3.2.4:
  * bug 5599: allow load distribution of SA nameserver queries across all
  nameservers listed in resolv.conf, using 'dns_options rotate'. thanks to
  Pawel Sasin <hannibal /at/ wp-sa.pl>
  * bug 5673: 'ALL' header was including spurious extra spaces between header
  names and values.  fix
  * bug 5594: several major sa-compile fixes.  major increase in overall speed;
  cache results between runs to further increase speed; and fix a danger of
  massive memory usage
  * bug 5556: fix a variety of sa-compile portability issues, and support for
  5.6.x perls
  * bug 5514: make 'score set for a non-existent rule' a debug message, instead
  of a lint warning, since it's a very frequent FAQ
  * bug 5493: sa-compile fails to correctly deal with escaped backslashes.  fix
  * bug 5672: remove DNS_FROM_SECURITYSAGE (DNSBL lookups against
  securitysage.com) due to unreliability
  * bug 5476: update Bonded Sender (now Sender Score Certified) rules, and add
  a rule for their strictly-confirmed-opt-in-required zone
  * bug 5538: remove FORGED_MUA_AOL_FROM and FORGED_AOL_TAGS entirely; they're
  obsolete, given the current capabilities of AOL mail user agents
  * bug 5632: remove all completewhois.com DNSBL lookups, site seems to have
  disappeared without warning
  * bug 5715: allow for more than one sa-update MIRRORED.BY file host in DNS,
  for redundancy
  * bug 5662: DKIM changes: recognize author signature and multiple signatures
  for whitelisting (with Mail::DKIM 0.29); disable useless
  "check_dkim_signsome"; new eval rules "check_dkim_valid_author_sig" and
  "check_dkim_valid" (an alias for a "check_dkim_verified" misnomer); new
  tags _DKIMIDENTITY_ and _DKIMDOMAIN_; updated terminology; verification
  speedup with Mail::DKIM 0.30 (or its pre-releases)
  * bug 5696: sa-compile: cut regexp base strings at Unicode high codepoints,
  to avoid corruption of patterns containing UTF-8
  * bug 5637: bayes_file_mode is handled incorrectly when creating bayes.mutex,
  resulting in incorrect permissions on that file; fix by Mihaly Barasz
  * bug 5612: DB_File version 4.2.x has a bug that loops infinitely if files
  named '__db.{filename}' are present; work around.  thanks to J. Nick Koston
  for the report and fix
  * bug 5606: too-early init_learner() call causes root's user prefs file to be
  read when spamd is started; this is inappropriate. fix
  * bug 4179: if allow_user_rules is 1, user rules are not unique to each user;
  one user's user rules can appear in later scans for other users that are
  run using the same spamd process. fix
  * bug 5680: ALL_TRUSTED can fire if a trusted MSA or webmail system receives
  the message from an untrusted X-Originating-IP: header. fix
  * bug 5626: in the 'spamassassin' script, install a signal handler for
  SIGHUP, SIGINT, SIGTERM and SIGPIPE to ensure that temporary files are
  removed
  * bug 5557: some temporary files are left not cleaned up on Windows; fix
  * bug 5661: speed up Bayes SQL queries by allowing the use of indexes when
  expiring
  * bug 5611: support 'spamd --nouser-config -u username', which setuids to
  'username' but does not read user_prefs files from anywhere
  * bug 5665: spamd may fail to notice that a child has completed exiting, and
  keeps in the child list in state 'K', eventually filling up the child list
  with 'ghost' children.  fix
  * bug 5735: spamc should allow retry_sleep 0
  * bug 5728: spamd: require -u with --sql-config or --ldap-config
  * bug 5682: remove FH_HOST_ALMOST_IP, FH_HOST_EQ_D_D_D_D, due to false
  positives and redundancy with RDNS_DYNAMIC; remove FH_HOST_EQ_D_D_D_DB due
  to no hits
  * bug 5681: look up IP addresses found in 'X-Yahoo-Post-IP' and 'X-SenderIP'
  headers, too, thanks to Martin Blapp
  * Bug 5589: Refined async events handling and DNS lookup completions
  * bug 5586: RDNS_NONE has false positives if the MTA doesn't put the hostname
  in the Received header, like Communigate Pro. add an exception for this
  * bug 5748: fix locale problem with use of external sort in sa-compile
* Sun Aug 12 2007 varkoly@suse.de
- update to 3.2.3:
  *bug 5574: fix new setuid code to work with perl 5.6.1, and to support DCC and
  Pyzor in all releases of perl
  *bug 5107: change default 'user_scores_ldap_username' to be the null string,
  allowing anonymous binding; fix 'schema' syntax error in LDAP config support
  *zeroing an 'eval' rule's score did not stop it running.  fix, thanks to
  Richard Birkett <richard+spamassassin at musicbox.net>
  *bug 5571: allow for new message ID format we have seen from Vista or Windows
  2003 Server MAPI to avoid false positives
  *bug 5397: RDNS_DYNAMIC should never fire on a PTR with 'static' in it; thanks
  to Martin Blapp <mbr at freebsd.org>.  bug 5563: RDNS_DYNAMIC rules use
  order-dependent fields where it is unsafe to depend on this, fix.  bug 5564:
  __RDNS_DYNAMIC_IPADDR does not hit all of its test patterns, fix.
  *bug 5475: fix FORGED_MUA_AOL_FROM to allow <*@{aol,cs}.*> addresses instead
  of just <*@{aol,cs}.com>
* Thu Aug 02 2007 dmueller@suse.de
- update to 3.2.2:
  * bug 5548: Certain mail input can take a long time to scan with 100%% CPU
  utilisation, due to backtracking in a rule's regexp. fix
  * bugs 5510, 5518, 5529: fix 'make test' when running as root, needed for CPAN
  * bug 5419: kill -HUP of pidof spamd causes the ps name to change from spamd
  to perl. fixed
  * bug 5535: 'make test' errors in Windows caused by nonportable use of
  getpwuid
  * bug 5462: multiple DNS records for a host name should allow use of spamd -H
  for load balancing installs to work
  * bugs 5509, 5511: fix network lookup timeouts, where lookups were being lost
  once a timeout was hit; also fix code to match documentation on
  rbl_timeout's scaling and minimum duration of 1 second; and attempt to
  collect already-received DNS responses when the timeout is reached; improve
  related debugging output. Thanks to Mark Martinec
  * bugs 5412, 5478, 5522: Fix problems using the spamc -x option with certain
  other options; 'spamc -x -R' always returned 0, instead of the exit code, on
  error.  Bug 5478: in addition, 'spamc -x -e /command' would still run the
  command, even if errors meant that the filtered text would be unavailable,
  which contradicted -x.
  * bug 5445: body eval tests defined in user_rules cause ugly 'Subroutine
  _eval_tests_type11_prineg400_set3 redefined' warnings
  * bug 5355: add in new entries for RegistrarBoundaries
  * bug 5515: libsslspamc.so & libsslspamc.so can not build without -fPIC, but
  we were picking up the wrong CFLAGS to do this.
  * bug 5501: zero score for FH_HAS_XID
  * bug 5449: allow_user_rules causes sa-compile / Rule2XSBody plugin to emit
  spurious warnings; fix.  also, add a new 'user_conf_parsing_end' plugin
  hook, which is called after the per-user configuration is parsed
  * bug 5182: update the sa-learn doc to mention that -u is only usable w/ sql
  * bug 5534: fix harmless-but-ugly C compiler warning in sa-compile
* Thu Jul 26 2007 varkoly@suse.de
- #278626 - SpamAssassin + Mailman + The Bat! = false positive
* Thu Jun 14 2007 varkoly@suse.de
- UPDATE to version 3.2.1
- bug 5480: fix for CVE-2007-2873: a local user symlink-attack DoS
  vulnerability. It only affects systems where spamd is run as root, is used
  with vpopmail or virtual users via the "-v"/"--vpopmail" OR
  "--virtual-config-dir" switch, AND with the "-x"/"--no-user-config AND
  WITHOUT the "-u"/"--username" switch AND with the "-l"/"--allow-tell" switch.
  This is not default on any distro package, and is not a common configuration.
  More details of the vulnerability can be read at
  <http://spamassassin.apache.org/advisories/cve-2007-2873.txt>.
- bug 5488: zero some rules causing false positives: FH_HOST_EQ_D_D_D_DB and
  FH_HOST_EQ_D_D_D_D.
- bug 5257: re-raise autolearn ham threshold to 1.0; the lower value
  used in 3.2.0 was creating problems.
- bug 5422: in spamd, deleting hash entries from the SIGCHLD signal handler is
  unsafe, causes corruption of the data structure, and results in 'prefork:
  ordered child N to accept, but they reported state '1', killing rogue'
  errors.  fix.
- bug 5102: tighten up regexp for FORGED_HOTMAIL_RCVD to avoid some FPs.
- bug 5457: spamc build and test should handle not having zlib available.
- bug 5379: spamd could crash at startup if its preloading temporary directory
  already exists. fix.
- bug 4616: spamc config can cause command line options to be ignored. fix.
- bug 5485: zero score DK/DKIM_POLICY_SIGNSOME rules since they'll always fire
  due to defaults (unless there's an explicit SIGNALL policy).
- bug 5492: VBounce rule was looking in header instead of body for whitelisted
  relays. fix.
- bug 5487: prevent multiple "urirhssub"s using the same zone from overwriting
  each other.
- bug 5432 - Change default in Win32 build to not build spamc.
- bug 5446: add --updatedir option to sa-compile and remove inaccurate re2c
  required version info from pod.
- bug 5436: add omitted "ifplugin" statements to the configuration, which would
  otherwise cause lint errors if the default plugins were disabled.
- bug 5477: prevent Rule2XSBody info message from appearing on stderr during
  spamd startup.
* Thu May 03 2007 varkoly@suse.de
- update to 3.2.0
  Summary of major changes since 3.1.8
    ------------------------------------
  Changes to the core code:
  * new behavior for trusted_networks/internal_networks: the 127.* network
  is now always considered trusted and internal, regardless of configuration.
  * bug 3109: short-circuiting of 'definite ham' or 'definite spam' messages
  based on individual short-circuit rules using the 'shortcircuit' setting,
  by Dallas Engelken <dallase /at/ uribl.com>.
  * bug 5305: implement 'msa_networks', for ISPs to specify their Mail Submission
  Agents, and extend network trust accordingly.
  * bug 4636: Add support for charset normalization, so rules can be written
  in UTF-8 to match text in other charsets.
  * sa-compile: compilation of SpamAssassin rules into a fast parallel-matching DFA,
  implemented in native code.
  * "tflags multiple": allow writing of rules that count multiple hits in a single message.
  * bug 4363: if a message uses CRLF for line endings, we should use it as well,
  otherwise stay with LF as usual; important for Windows users.
  * bug 4515: content preview was omitting first paragraph when no Subject: header was present.
  * The third-party modules used by sa-update are now required by the SpamAssassin package,
  instead of being optional.
  * Bug 5165: 'sa-update --checkonly' added to check for updates without applying them;
  thanks to <anomie /at/ users.sourceforge.net>
  * Bugs 4606, 4609: Adjust MIME parsing limits for nested multipart/* and message/rfc822 MIME parts.
  * bug 5295: add 'whitelist_auth', to whitelist addresses that send mail using
  sender-authorization systems like SPF, Domain Keys, and DKIM
  * Removed dependency on Text::Wrap CPAN module.
  * Received header parsing updates/fixes/additions.
  Spamc / spamd:
  * bug 4603: Mail::SpamAssassin::Spamd::Apache2 -- mod_perl2 module, implementing spamd
  as a mod_perl module, contributed as a Google Summer of Code project by Radoslaw Zielinski.
  * bug 3991: spamd can now listen on UNIX domain, TCP, and SSL sockets simultaneously.
  Command-line semantics extended slightly, although fully backwards compatibly;
  add the --ssl-port switch to allow TCP and SSL listening at the same time.
  * bug 3466: do Bayes expiration, if required, after results have been passed back
  to the client from spamd; this helps avoid client timeouts.
  * more complete IPv6 support.
  * spamc: Add '-K' switch, to ping spamd.
  * spamc: add '-z' switch, which compresses mails to be scanned using zlib compression;
  very useful for long-distance use of spamc over the internet.
  * bug 5296: spamc '--headers' switch, which scans messages and transmits back just rewritten headers.
  This is more bandwidth-efficient than the normal mode of scanning, but only works for 'report_safe 0'.
  * Bump spamd's protocol version to 1.4, to reflect new HEADERS verb used for '--headers'.
  Mail::SpamAssassin modules and API:
  * bug 4589: allow M::SA::Message to use IO::File objects to read in message (same as GLOB).
  * bug 4517: rule instrumentation plugin hooks, to measure performance,
  from John Gardiner Myers <jgmyers /at/ proofpoint.com>.
  * add two features to core rule-parsing code; 1. optional behaviour to recurse through subdirs
  looking for .cf/.pre's, to support rules compilers working on rulesrc dir.  2. call back
  into invoking code on lint failure, so rule compiler can detect which rules exactly fail the lint check.
  * bug 5206: detect duplicate rules, and silently merge them internally for greater efficiency.
  * bug 5243: add Plugin::register_method_priority() API, allowing plugins to control the relative
  ordering of plugin callbacks relative to other plugins' implementations.
  * Reduced memory footprint.
  Plugins:
  * bug 5236: Support Mail::SPF replacement for Mail::SPF::Query.
  * bug 5127: allow mimeheader :raw rules to match newlines and folded-header whitespace
  in MIME header strings.
  * bug 4770: add ASN.pm plugin, contributed by Matthias Leisi <matthias at leisi.net>
  * bug 5271: move ImageInfo ruleset into 3.2.0 core rules, thanks to Dallas Engelken <dallase /at/ uribl.com>.
  * VBounce ruleset and plugin: detect spurious bounce messages sent by broken mail systems
  in response to spam or viruses.  (Based on Tim Jackson's "bogus-virus-warnings.cf" ruleset.)
  * DomainKeys/DKIM: Mail::DKIM is now preferred over Mail::DomainKeys, since the latter module
  is no longer actively maintained, and Mail::DKIM can handle both DomainKeys and DKIM signatures.
  * DKIM: separate signature verification from fetching a policy: can save a DNS lookup for each
  unverified message by setting score to 0 for all policy-related rules (DKIM_POLICY_SIGNALL,
  DKIM_POLICY_SIGNSOME, and DKIM_POLICY_TESTING). (thanks to Mark Martinec)
  * DKIM: support testing flags in the public key, as well as in the policy record. (thanks to Mark Martinec)
  * DKIM: skip fetching a policy (SSP) if a signature does verify, according to draft-allman-dkim-ssp-02
  (thanks to Mark Martinec)
  * Move rule functionality and checking into separate Check plugin, allowing third parties
  to implement alternative scanner core algorithms.
  * core EvalTests code moved into various plugins.
  * Plus lots of miscellaneous bug fixes.
* Fri Apr 20 2007 meissner@suse.de
- removed bad /tmp usage.
* Wed Mar 28 2007 varkoly@suse.de
- #249652 - spamassassin missing dependencies
* Mon Feb 19 2007 dmueller@suse.de
- update to 3.1.8:
  * fix for CVE-2007-0451: possible DoS due to incredibly
  long URIs found in the message content.
  * disable perl module usage in update channels unless
    --allowplugins is specified
  * files with names starting/ending in whitespace weren't usable
  * remove Text::Wrap related code due to upstream issues
  * update spamassassin and sa-learn to better deal with STDIN
  * improvements and bug fixes related to DomainKeys
  and DKIM support
  * several updates for Received header parsing
  * several documentation updates and random taint-variable related
  issues
* Fri Feb 09 2007 varkoly@suse.de
- fixing: Bug 225248 - Problem in SpamAssassin: if spamassassin configuration
  is stored in postgresql the search in the table userpref delivers
  results in wrong order.
- fixing: Bug 218272 - SpamAssassin URIDNSBL plugin tries to lookup
  libraries (libimf.so, liblua.so, ...) via nameserver
* Fri Dec 22 2006 varkoly@suse.de
- Enhancing local.cf for the plugin Mail::SpamAssassin::Plugin::URIDNSBL
  to skip the novell and suse domains from spam checks and to give
  examples for problems like #218272 "SpamAssassin URIDNSBL plugin tries to
  lookup libraries (libimf.so, liblua.so, ...) via nameserver"
* Tue Dec 05 2006 dmueller@suse.de
- update to "hot-fix" 3.1.7:
  * fix sa-update failure when rule scores ae set
* Wed Nov 15 2006 varkoly@suse.de
- fixing bug: 215722 BUG in archive PgSQL.pm (SpamAssassin)
* Mon Oct 09 2006 varkoly@suse.de
- update to version 3.1.6: This is a maintenance release of the 3.1.x branch.
  * fixes to bug in date handling affecting DATE_IN_FUTURE_*
  and DATE_IN_PAST_* rules when more than one Resent-Date header is
  present
  * include local site config in sa-update lint checks
  * fix race condition in spamd preforking code that sometimes left
  one child process running after SIGHUPing spamd
  * unescape hash characters in the config
  * fix false SPF_SOFTFAIL's when SPF queries timeout
  * update RCVD_ILLEGAL_IP evaltest to properly deal with 127/8
  * enable adding headers with single digit zero value
  * add support for ecelerity Received headers
  * fix a bug, introduced in 3.1.5, in mbx code
  * M::SA::Client doesn't always catch failed connection
  to spamd, fixed
* Sun Aug 06 2006 dmueller@suse.de
- update to version 3.1.4:
  * bug 4941: if the first sa-update run failed and wasn't re-run to successful
  completion, the local state directory would exist, and therefore SA sees no
  rules.  now, wait as long as possible to create the directory, and try to
  remove it on failure.
  * bug 4997: increase module version requirements for Archive::Tar to 1.23 and
  IO::Zlib to 1.04
  * bug 4966: fix major BSMTP bug, which rendered SA unusable with exim4 when
  BSMTP is used.
  * bug 4899: Windows had issues with single quotes around filenames so certain
  things like pyzor, etc, wouldn't function.
  * bug 4958: sa-update should work on Windows
  * bug 4908: gtube.t test failed in non-english locales
  * bug 4488: deal with potential memory leak due to Bayes and BayesStore
  circular references
  * bug 4862: update macro values in update channels
* Thu Jun 22 2006 ro@suse.de
- remove selfprovides
* Fri Jun 09 2006 varkoly@suse.de
- * Fixing Requiers tag in spec file
  The missed packages are: perl-libwww-perl and perl-IO-Zlib
* Tue Jun 06 2006 varkoly@suse.de
- update to version 3.1.3:
  * #181157: VUL-0: spamassassin: remote root
  * 4879: add in pointer to the wiki to find out more about debug channels
* Mon May 29 2006 dmueller@suse.de
- update to version 3.1.2:
  * bug 4802: implement DKIM plugin, including whitelist_from_dkim support
  * bug 3838: work around Perl bug causing captured RE variables to become
  tainted -- thanks to Mark Martinec for pointing out the bug with
  Perl itself
  * bug 4850: re-enable the Razor2 plugin by default due to a service
  policy change
  * bug 4826: Razor2 plugin needs to load Mail::SpamAssassin::Timeout module
  * bug 4827: M::SA::first_existing_path() would return the last array
  entry passed in if none of the paths were found.  Now return undef
  instead and handle the error when it happens.
  * bug 4813: generally open RE causes sendmail received header get read
  in as qmail in error
  * bug 4839: Logger.pm converts control chars including tab into
  underscores which confuses a bunch of users when checking debug output.
  Convert tab into space instead, etc.
  * bug 4884: if a null message is passed in, there are several variables
  which end up undefined causing warnings.  fake an empty message if no
  input is given.
  * bug 4793: when replacing tags in a message (_TAG_), leave the tags
  that don't exist alone instead of just removing them
  * bug 4861, 4760: handle dccifd and dccproc failover properly, backport
  relays_internal and relays_external code, backport bug 4760 fix so
  that it's not possible to be in internal_networks without being in
  trusted_networks as well
  * bug 4901: deal more properly with failures in bgsend().  also, use
  the proper variable to show when errors occur.
  * bug 4867: fetchmail changed header formats at some point making Received
  parsing fail in certain conditions
  * bug 4699: use M::SA::Timeout for spamd copy_config call and allow
  for empty $@ values
  * bug 3754: if there's a problem opening a file via sa-learn or
  spamassassin, return an error exit value.
* Sat Mar 18 2006 dmueller@suse.de
- Adjust BuildRequires
* Tue Mar 14 2006 dmueller@suse.de
- update to version 3.1.1:
  * bug 4760: strictly validate trusted network configurations
  * bug 4363: honor CRLF settings
  * bug 4748: Update rules to catch Google redirector
  * bug 4791: fix handling of invalid encoded utf8 messages
  * bug 4809: add TLD for Greece
  * bug 4606: Adjust MIME parsing limits (possible DoS)
  * bug 4795: Improved validation of the score option
  * fix fd leak in Bayes token DB handling
  * bug 4780: fix IP_ADDRESS & LOCALHOST IPv6 support
  * bug 4735: lack of network interfaces crashes in DnsResolver.pm.
  * bug 4700: prevent arbitrary code injection
  * bug 4704,4686,4627,4690: Fixed Received: headers parsing
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 varkoly@suse.de
- fixing bug #138545
* Thu Jan 12 2006 varkoly@suse.de
- fixing bug #141557
* Wed Oct 26 2005 choeger@suse.de
- bugfix for init-script: tell spamd to use a pidfile
* Fri Sep 16 2005 choeger@suse.de
- update to version 3.1.0
* Mon Aug 08 2005 ug@suse.de
- fixed a license problem.
  See Bug #102221
* Thu Jun 23 2005 meissner@suse.de
- use RPM_OPT_FLAGS (for spamc).
* Wed Jun 08 2005 choeger@suse.de
- Update to version 3.0.4
* Mon May 02 2005 choeger@suse.de
- Update to version 3.0.3
* Fri Apr 22 2005 choeger@suse.de
- Bugfix ID#79285 - spamd: "short" description missing
* Wed Jan 12 2005 choeger@suse.de
- cleaned up build process, now properly using ExtUtils::MakeMaker
  following the PACKAGING readme
* Mon Dec 20 2004 choeger@suse.de
- Update to version 3.0.2
* Thu Nov 25 2004 choeger@suse.de
- removed superfluous line:
  test -d /root/.spamassassin || mkdir /root/.spamassassin
  from init script
* Tue Oct 26 2004 choeger@suse.de
- Update to version 3.0.1
- specfile can now also be used on older SuSE Linux versions
* Thu Sep 23 2004 choeger@suse.de
- Update to version 3.0.0
* Fri Aug 06 2004 meissner@suse.de
- Upgraded to security / bugfix release 2.64. #43546
* Sat Mar 27 2004 ro@suse.de
- added directory /etc/mail to filelist
* Tue Jan 27 2004 choeger@suse.de
- Update to version 2.63
* Sat Jan 03 2004 mmj@suse.de
- References to %%version have to go below the Version: tag
* Wed Dec 31 2003 mmj@suse.de
- Update to version 2.61
* Sun Dec 07 2003 mmj@suse.de
- The perl-spamassassin version should be the same as the spam-
  assassin version.
* Sat Oct 18 2003 mmj@suse.de
- Not necessary to explicitly tell SA not to query Osirusoft
  blocklist anymore
* Fri Oct 17 2003 mmj@suse.de
- Don't build as root
- Update to version 2.60
* Tue Oct 14 2003 choeger@suse.de
- Bugfix Bugzilla ID#32025, spamd is not started because of a bug
  in the init-script
- Bugfix Bugzilla ID#31867, spamassassin -lint reports errors because
  of outdated local.cf configuration options
* Thu Sep 04 2003 choeger@suse.de
- Michael fixed MakeMaker PITA again
* Tue Sep 02 2003 choeger@suse.de
- Don't query Osirusoft blocklist anymore, see
  http://news.spamassassin.org/modules.php?op=modload&name=News&file=article&sid=44&mode=thread&order=0&thold=0 for more details.
  Bugzilla ID#29566
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Aug 14 2003 choeger@suse.de
- Bugfix Bugzilla ID#28942:
  missing activation metadata in sysconfig template
* Wed Jul 30 2003 choeger@suse.de
- new macros for stop/restart of services on rpm update/removal
* Thu Jul 17 2003 choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jul 01 2003 choeger@suse.de
- don't use PREFIX in 'perl Makefile.PL'
- don't set LOCAL_RULES_DIR using %%buildroot as prefix
* Tue Jun 17 2003 choeger@suse.de
- updated filelist
* Wed May 28 2003 choeger@suse.de
- Update to 2.55
* Tue May 13 2003 mmj@suse.de
- Update to 2.54
- Move %%defattr to cover all files
- Remove unwanted files
* Sun Apr 06 2003 mmj@suse.de
- Update to version 2.53 which fixes some major bugs in earlier
  2.5x releases
* Fri Mar 28 2003 mmj@suse.de
- spamassassin and perl-spamassassin should not both own
  /etc/mail/spamassassin/local.cf
* Tue Mar 25 2003 adrian@suse.de
- update to version 2.52
* Mon Mar 24 2003 adrian@suse.de
- use pid files in runlevel script (patch from Dirk Mueller #25767)
* Sun Mar 23 2003 coolo@suse.de
- adding perl-HTML-Parser to neededforbuild
* Fri Mar 21 2003 adrian@suse.de
- update to version 2.51
* Sun Mar 02 2003 mmj@suse.de
- Disabling HABEAS_HIL test turned out to be just a bandaid. It still
  stalls for longer periods, so add "-L" switch so it only performs
  local tests. Subsequently remove the score HABEAS_HIL 0 in local.cf.
* Tue Feb 25 2003 mmj@suse.de
- Disable the HABEAS_HIL test (sender is on www.habeas.com Habeas
  Infringer List) since it made each test last ~30 seconds.
- Default-Start: should be "3 5" not ""
* Fri Feb 21 2003 adrian@suse.de
- update to version 2.50
  * fixing crash on x86_64 [#22015]
* Thu Feb 20 2003 mmj@suse.de
- Add sysconfig metadata [#22690]
* Mon Feb 03 2003 adrian@suse.de
- update to version 2.44
  * obsoletes security fix
* Wed Jan 29 2003 adrian@suse.de
- update to version 2.43
* Tue Jan 28 2003 draht@suse.de
- remove off-by-one bo -> spamassassin-ob1-security.diff
* Wed Oct 16 2002 ro@suse.de
- fixed requires typo
* Tue Oct 08 2002 adrian@suse.de
- add missing requires
- update to version 2.42
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Mon Jul 29 2002 mls@suse.de
- fixed neededforbuild for perl-5.8.0
* Fri Jul 12 2002 choeger@suse.de
- update to most recent version
- added perl-Time-HiRes to requires
- removed DOSWIN_EXECUTABLE patch
  http://sourceforge.net/mailarchive/message.php?msg_id=1606621
* Fri May 10 2002 garloff@suse.de
- Add rule to filter mails with files having names with DOS/Win
  suffixes (DOSWIN_EXECUTABLE), default score 4.6
- Provide init script for spamd
- Install READMEs as %%doc
- Move spamc/d/proxy/assassin man pages to spamassassin package
- Configuration of spamd in sysconfig/spamd
* Wed May 08 2002 garloff@suse.de
- Update to version 2.20.
* Tue Apr 16 2002 draht@suse.de
- fix file list (/usr/share/spamassassin)
  add more convenient defaults to /etc/mail/spamassassin/local.cf
* Tue Apr 09 2002 draht@suse.de
- initial package, version 2.11.
